VTune 7.1 remote & vdk on linux 2.6

VTune 7.1 remote & vdk on linux 2.6

Now that Linux 2.6 is released, will there be a new vdk for 2.6.x final coming out soon? Our company is considering buying VTune 7.1 to profile our application. Would it be recommended to go with this and the remote agent for Linux or for the native VTune 2.0 for Linux?

The GUI profiling of VTune 7.1 has really impressed both me and my colleagues. Keep up the good work!

2 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hey foobar,

Thanks for the kudos regarding the 7.1 product.

Whether to go native (vtl 2.0) or use the linux remote agent (7.1) depends on a lot of things. Since you know the 7.1 product, it might just feel "right" to keep running with it: the decisioncould just be that simple.

Technically, however, consider a few things:

-- the 7.1 remote agent runs on more Linux versions that vtl 2.0 does, but if you're on a supported OS then you're all set anyway
-- some folks just love a GUI and vtl 2.0 has a callgraph ONLY viewer, no GUI yet for sampling yet . SO, if you are a GUI person, 7.1 is right for you, at least for now
-- there are three functionalities that 7.1 has that are not yet ported to 2.0: counter monitor, sampling over time, and the tuning assistant. If you are sold on using one of those, 7.1 is your only choice so far
-- if you don't have a windows workstation networked to your Linux server, 2.0 is the only way to go
-- if you love writing shell or perl scripts to create your profiling experiments, then 2.0 is your Linux answer

That all said, you might download an eval version of 2.0 and just take a quick look. You might love it, and nothing in my lists will predict that.

:)

THAT all said, here's where we are on the 2.6 kernel, as of this writing. On the VDK website there is a new version of the VDK sources for kerne 2.6.0-test5 on x86 Linux that works with VTune 7.0 and vtl 1.1, the slightly older versions of the current products. However, it requires a patch to kernel 2.6.0-test5, which means you must rebuild that kernel with the patch, and we include that patch along with the VDK sources. Take a look:

http://www.intel.com/software/products/opensource/vdk/

When the VDK supports 2.6.x for VTune 7.1 and vtl 2.0, it will be available at the same VDK url. (This is all FYI only.)

I hope this all helps. Keep those great questions and comments coming.

cheers

jdg

Leave a Comment

Please sign in to add a comment. Not a member? Join today